using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace UltraTreeCustomization
{
    public partial class Form2 : Form
    {
        private const string BANDNAME = "RootBand";
        private const string COLNAME = "MappedImageColumn";
        private System.Drawing.Image _image =
            System.Drawing.SystemIcons.Information.ToBitmap();

        public Form2()
        {
            InitializeComponent();
        }

        private void OnColumnSetGenerated(object sender,
            Infragistics.Win.UltraWinTree.ColumnSetGeneratedEventArgs e)
        {
            switch (e.ColumnSet.Key)
            {
                case BANDNAME:
                    // Goal: cell displayed as image, not text
                    // Enabling this line seems to make no difference.
                    //e.ColumnSet.Columns[COLNAME].EditorControl = this.ultraPictureBox1;

                    // Goal: header displayed as image, not text
                    // Enabling this line seems to make no difference.
                    //e.ColumnSet.Columns[COLNAME].HeaderAppearance.Image = _image;
                    break;
            }
        }

        private void OnInitializeDataNode(object sender,
            Infragistics.Win.UltraWinTree.InitializeDataNodeEventArgs e)
        {
            if (e.Node.IsBandNode)
                return;

            if (e.Node.BandName == BANDNAME)
            {
                int cellValue = (int)e.Node.Cells[COLNAME].Value;
                if (cellValue > 0)
                {
                    e.Node.Cells[COLNAME].Appearance.Image = _image;
                }
            }
        }
    }
}